/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GLOBALS_
#define _GLOBALS_

#define CONFIG_FILE "/etc/opendd.conf"
#define PID_FILE "/var/run/opendd.pid"
#define VERSION "0.7.8"
#define DEFAULT_POLL_FREQUENCY 300
#define DEFAULT_DOMAIN_LIFETIME 28
#define DEVELOPER_EMAIL_CONTACT "opendd@bsdmon.com"
#define CERT_TRUST_STORE "/etc/opendd.pem"

char *get_my_ip(void);
void set_my_ip(char *);
char *get_config_file(void);
void set_config_file(char *);
unsigned int is_service_online(void);
void set_service_online(unsigned int);

#endif
