/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CONFIG_OPTION_H
#define CONFIG_OPTION_H

#ifndef FGETS_BUF_SIZE
#define FGETS_BUF_SIZE 50
#endif

#include "option.h"
#include "util.h"
#include "chain_string.h"
#include <errno.h>

unsigned int parse_config_file(const char *);
size_t safefgets(char **, int, FILE *);

#endif
